curl --request POST \
--url https://spark.test.woodcore.co/api/v2/accountgl/system \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comments": "Transfer from GL to Account",
"credits": [
{
"amount": "30000",
"glAccountId": "30"
}
],
"currencyCode": "NGN",
"customerAccounts": [
{
"amount": "30000",
"customerAccountId": "000000458"
}
],
"debits": [],
"officeId": "1",
"operationType": "Debit",
"referenceNumber": "dsfvghtrhrg132evsbwd",
"uniqueReferenceKey": "dsfvghtrhrg132evsbwd-unq",
"transactionDate": "17 March 2022"
}
'{}Transactions
Ledger to Account - Internal
POST
/
accountgl
/
system
curl --request POST \
--url https://spark.test.woodcore.co/api/v2/accountgl/system \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comments": "Transfer from GL to Account",
"credits": [
{
"amount": "30000",
"glAccountId": "30"
}
],
"currencyCode": "NGN",
"customerAccounts": [
{
"amount": "30000",
"customerAccountId": "000000458"
}
],
"debits": [],
"officeId": "1",
"operationType": "Debit",
"referenceNumber": "dsfvghtrhrg132evsbwd",
"uniqueReferenceKey": "dsfvghtrhrg132evsbwd-unq",
"transactionDate": "17 March 2022"
}
'{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsontext/plain
Example:
"Transfer from GL to Account"
Example:
[]
Example:
"NGN"
Show child attributes
Show child attributes
Example:
[
{
"amount": "30000",
"customerAccountId": "000000458"
}
]
Show child attributes
Show child attributes
Example:
[{ "amount": "30000", "glAccountId": "30" }]
Example:
"1"
Example:
"Credit"
Example:
"dsfvghtrhrg132evsbwd"
Example:
"dsfvghtrhrg132evsbwd-unq"
Example:
"17 March 2022"
Response
200 - application/json
{}
The response is of type object.